#[0] lapply,sapply exercise
x<-c(1,2,3,4,5,6); xx<-matrix(x, nrow=2, ncol=3)
x; xx
#[1]--------------
lapply(x,function(v){  #list 
  z<-v+v*v+v*v*v
  return(z)
  })
#[2]--------------
lapply(xx,function(v){  #list 
  z<-v+v*v+v*v*v
  return(z)
})
#[3]--------------
sapply(x,function(v){  #vector 
  z<-v+v*v+v*v*v
  return(z)
})
#[4]--------------
sdata<-sapply(xx,function(v){  #vector 
  z<-v+v*v+v*v*v
  return(z)
})
sdata